//
//  ADTUtility.h
//  ADTPlugIn
//
//  Created by Matheau Dakoske on Fri Apr 09 2004.
//  Copyright (c) 2004 Code Line Communications. All rights reserved.
//

#import "ADTPlugIn.h"


@interface ADTUtility : ADTPlugIn {

    IBOutlet NSView		*mainView;
    IBOutlet NSView             *globView;
    
    NSResponder                 *lastFirstResponder;
    NSColorWell                 *lastSelectedColorWell;
    BOOL                        hasFocus;
    
}

//ACCESSORS
- (NSView *) mainView;
- (NSView *) globalResultsView;
- (NSUndoManager *) undoManager;

//METHODS
- (void) willGetFocus;
- (void) didGetFocus;
- (void) willLoseFocus;
- (void) didLoseFocus;

- (void) saveLastFirstResponder;
- (void) restoreLastFirstResponder;

- (NSColorWell *) selectedColorWell;
- (void) saveLastSelectedColorWell;
- (void) restoreLastSelectedColorWell;

- (IBAction) updateGlobalResultsWithTimer:(id)sender;
- (IBAction) updateGlobalResults:(id)sender;

- (void) invalidateUndoManager;

@end
