//
//  CLColorSamplerButton.h
//  ADT4
//
//  Created by Matheau Dakoske on Fri Nov 14 2003.
//  Copyright (c) 2003 Code Line Communications. All rights reserved.
//

#import <Cocoa/Cocoa.h>


#define CLColorSamplerButtonDisplayStringModeRGB255     0
#define CLColorSamplerButtonDisplayStringModeRGB100     1
#define CLColorSamplerButtonDisplayStringModeHex        2

@class CLColorSamplerPreviewWindow;
@class CLColorSamplerPreviewContentView;

@interface CLColorSamplerButton : NSButton {
    int         displayStringMode;

    NSSize      sampleSize;
    float       previewScale;
    
    NSCursor                        *cursor;
    CLColorSamplerPreviewWindow    *previewWindow;
    
    id          colorTarget;
    SEL         colorAction;
    
    NSColor     *color;
}

//ACCESSORS
- (int) displayStringMode;
- (void) setDisplayStringMode:(int)mode;

- (NSSize) sampleSize;
- (void) setSampleSize:(NSSize)size;

- (float) previewScale;
- (void) setPreviewScale:(float)scale;

- (id) colorTarget;
- (void) setColorTarget:(id)targ;

- (SEL) colorAction;
- (void) setColorAction:(SEL)act;

- (void) setColor:(NSColor *)col;
- (NSColor *) color;
- (void) commitColor:(NSColor *)col;

//ACTIONS
- (IBAction) beginSampling:(id)sender;
- (IBAction) endSampling:(id)sender;

@end

@interface CLColorSamplerPreviewWindow : NSPanel {
    NSWindow                            *sampleWindow;
    CLColorSamplerPreviewContentView    *view;
    NSPoint                             lastPoint;
    NSPoint                             currPoint;
    NSPoint                             currOrigin;
    NSPoint                             prevOrigin;
    NSSize                              currSize;
    NSImage                             *lastImage;
    NSImage                             *sampImage;
}

//OBJECT
- (id) initWithSampleSize:(NSSize)size previewScale:(float)scale location:(NSPoint)loc delegate:(id)del;

//METHODS
- (void) sampleAtPoint:(NSPoint)pt;

//ACCESSORS
- (NSWindow *)sampleWindow;
- (NSImage *)sampleImage;

@end

@interface CLColorSamplerPreviewContentView : NSView {
    NSImage         *windowImage;
    NSImage         *overlayImage;
}

@end