//
//  CLColorSyncController.h
//  CLAppKit
//
//  Created by Matheau Dakoske on 7/29/04.
//  Copyright 2004 Code Line Communications. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#define CLColorSyncProfileIndexUnkown    -1
#define CLColorSyncProfileIndexRGB       0
#define CLColorSyncProfileIndexCMYK      1
#define CLColorSyncProfileIndexGray      2
#define CLColorSyncProfileIndexLab       3
#define CLColorSyncProfileIndexXYZ       4

extern NSString *CLColorSyncControllerDidInvalidateDefaultColorProfiles;

@interface CLColorSyncController : NSObject {

}

//CLASS METHODS

+ (unsigned int) colorSyncVersion;
+ (BOOL) launchColorSyncVersion;

+ (void) invalidateDefaultProfiles;
+ (CMProfileRef) defaultProfileForColorSpaceName:(NSString *)spaceName;
+ (CMProfileRef) defaultProfileForOSType:(OSType)osType;
+ (CMProfileRef) defaultProfileForProfileIndex:(int)profIdx;

+ (CLColorSyncController *) sharedController;

//ACCESSORS

- (CMProfileRef) profileAtIndex:(int)profIdx;
- (CMProfileRef) realProfileAtIndex:(int)profIdx;
- (void) setProfile:(CMProfileRef)prof atIndex:(int)profIdx;

- (CMProfileRef) rgbColorProfile;
- (CMProfileRef) realRGBColorProfile;
- (void) setRGBColorProfile:(CMProfileRef)profRef;

- (CMProfileRef) cmykColorProfile;
- (CMProfileRef) realCMYKColorProfile;
- (void) setCMYKColorProfile:(CMProfileRef)profRef;

- (CMProfileRef) grayColorProfile;
- (CMProfileRef) realGrayColorProfile;
- (void) setGrayColorProfile:(CMProfileRef)profRef;

- (CMWorldRef) colorWorldForSourceColorSpaceName:(NSString *)srcName destinationColorSpaceName:(NSString *)destName;
- (CMWorldRef) colorWorldForSourceOSType:(OSType)srcOSType destinationOSType:(OSType)destOSType;
- (CMWorldRef) colorWorldForSourceProfileIndex:(int)srcProfIdx destinationProfileIndex:(int)destProfIdx;

//METHODS

- (void) invalidateColorWorlds;

- (NSColor *) convertedColor:(NSColor *)col usingColorSpaceName:(NSString *)spaceName;

@end
