//
//  CLDotButton.h
//  ADT4
//
//  Created by Matheau Dakoske on Wed Aug 27 2003.
//  Copyright (c) 2003 Code Line Communications. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#define	CLDotButtonSymbolNone		0
#define CLDotButtonSymbolX			1
#define CLDotButtonSymbolMinus		2
#define CLDotButtonSymbolPlus		3
#define CLDotButtonSymbolLeft		4
#define CLDotButtonSymbolRight		5

@interface CLDotButton : NSButton {
    int	    symbolType;
    NSColor *buttonColor;
    NSColor *highlightColor;
    NSColor *symbolColor;
    NSImage *image;
    BOOL    hidesWhenDisabled;
    NSSize buttonInset;
}

- (void) setButtonInset:(NSSize)inset;
- (NSSize) buttonInset;

- (int) symbolType;
- (void) setSymbolType:(int)symType;

- (NSColor *) buttonColor;
- (void) setButtonColor:(NSColor *)color;

- (NSColor *) highlightColor;
- (void) setHighlightColor:(NSColor *)color;

- (NSColor *) symbolColor;
- (void) setSymbolColor:(NSColor *)color;

- (NSImage *) image;
- (void) setImage:(NSImage *) anImage;

- (BOOL) hidesWhenDisabled;
- (void) setHidesWhenDisabled:(BOOL)hides;

@end
