//
//  CLFontController.h
//  ADT4
//
//  Created by Matheau Dakoske on Tue Oct 28 2003.
//  Copyright (c) 2003 Code Line Communications. All rights reserved.
//

#import <Cocoa/Cocoa.h>
@class CLPopUpTextField;

@interface CLFontController : NSObject {

    IBOutlet CLPopUpTextField   *fontFamilyPopUpField;
    IBOutlet CLPopUpTextField   *fontStylePopUpField;
    IBOutlet CLPopUpTextField   *fontSizePopUpField;
    
    IBOutlet id                 delegate;
    
    NSString                    *fontName;
    float                       pointSize;
    NSArray			*fontFaceInfo;
    
    NSMutableDictionary         *locFontFamNameDict;
    NSMutableDictionary         *fontFamNameDict;
}

//ACTIONS
- (IBAction) populateFontPopUpMenus:(id)sender;
- (IBAction) populateFontFamilies:(id)sender;
- (IBAction) populateFontStyles:(id)sender;
- (IBAction) syncFontPopUpMenus:(id)sender;
- (IBAction) setFontFromPopUpMenu:(id)sender;

//ACCESSORS
- (id) delegate;
- (void) setDelegate:(id)del;
- (NSFont *) font;
- (void) setFont:(NSFont *)aFont;
- (void) setFontWithFamilyName:(NSString *)fontFamName;

@end