//
//  CLFontInfo.h
//  ArtFiles
//
//  Created by Matheau Dakoske on Wed May 28 2003.
//  Copyright (c) 2003 Code Line Communications. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Carbon/Carbon.h>

@interface CLFIAdobeFontObject : NSObject
{
    NSString *postScriptName;
    NSString *fontFilePath;
    NSString *postScriptFilePath;
    NSString *fontFormat;
}

+ (CLFIAdobeFontObject *) fontObjectWithPostScriptName:(NSString *)aName;

- (NSString *) postScriptName;
- (void) setPostScriptName:(NSString *)aName;

- (NSString *) fontFilePath;
- (void) setFontFilePath:(NSString *)aPath;

- (NSString *) postScriptFilePath;
- (void) setPostScriptFilePath:(NSString *)aPath;

- (NSString *) fontFormat;
- (void) setFontFormat:(NSString *)aFormat;

@end

extern NSString *CLFIGetFontFilePathFromPostScriptName(NSString *thePSName);
extern NSString *CLFIGetFontContainerPathFromPostScriptName(NSString *thePSName);
extern NSString *CLFIGetFontFormatFromPostScriptName(NSString *thePSName);
extern NSString *CLFIGetFontFormatNameFromFontFormat(NSString *theFormat);