//
//  NSFont-CLAppKitExtensions.h
//  ADT4
//
//  Created by Matheau Dakoske on Fri Dec 12 2003.
//  Copyright (c) 2003 Code Line Communications. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface NSFont (CLAppKitExtensions)

- (ATSUFontID) atsuFontID;

- (NSString *) nameWithNameCode:(int)nameCode
                   platformCode:(int)platCode
                     scriptCode:(int)scriptCode
                   languageCode:(int)langCode;

- (NSString *) nameWithNameCode:(int)nameCode;
- (NSString *) fontSpecificNameWithNameCode:(int)nameCode;
- (NSString *) localizedNameWithNameCode:(int)nameCode;
- (TextEncoding) familyTextEncoding;
- (LangCode) familyLanguageCode;
- (ScriptCode) familyScriptCode;

- (FMFont) fmFont;
- (FMFontFamily) fmFontFamily;
- (FMFontStyle) fmFontStyle;
@end